net.minecraft.world

## Class World

- java.lang.Object
- - net.minecraft.world.World

- All Implemented Interfaces:
    IBlockAccess
  Direct Known Subclasses:
    WorldClient, WorldServer

      public abstract class World
      extends java.lang.Object
      implements IBlockAccess

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Set` | `activeChunkSet`
    `protected IChunkProvider` | `chunkProvider`
    `EnumDifficulty` | `difficultySetting`
    `protected int` | `DIST_HASH_MAGIC`
    `boolean` | `findingSpawnPoint`
    `boolean` | `isRemote`
    `int` | `lastLightningBolt`
    `java.util.List` | `loadedEntityList`
    `java.util.List` | `loadedTileEntityList`
    `MapStorage` | `mapStorage`
    `static double` | `MAX_ENTITY_RADIUS` Used in the getEntitiesWithinAABB functions to expand the search area for entities.
    `MapStorage` | `perWorldStorage`
    `java.util.List` | `playerEntities`
    `float` | `prevRainingStrength`
    `float` | `prevThunderingStrength`
    `WorldProvider` | `provider`
    `float` | `rainingStrength`
    `java.util.Random` | `rand`
    `protected ISaveHandler` | `saveHandler`
    `boolean` | `scheduledUpdatesAreImmediate`
    `int` | `skylightSubtracted`
    `protected boolean` | `spawnHostileMobs`
    `protected boolean` | `spawnPeacefulMobs`
    `Profiler` | `theProfiler`
    `float` | `thunderingStrength`
    `protected java.util.List` | `unloadedEntityList`
    `protected int` | `updateLCG`
    `VillageCollection` | `villageCollectionObj`
    `protected VillageSiege` | `villageSiegeObj`
    `java.util.List` | `weatherEffects`
    `protected java.util.List` | `worldAccesses`
    `protected WorldInfo` | `worldInfo`
    `protected Scoreboard` | `worldScoreboard`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `World(ISaveHandler p_i45368_1_, java.lang.String p_i45368_2_, WorldProvider p_i45368_3_, WorldSettings p_i45368_4_, Profiler p_i45368_5_)`
    `World(ISaveHandler p_i45369_1_, java.lang.String p_i45369_2_, WorldSettings p_i45369_3_, WorldProvider p_i45369_4_, Profiler p_i45369_5_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBlockEvent(int p_147452_1_, int p_147452_2_, int p_147452_3_, Block p_147452_4_, int p_147452_5_, int p_147452_6_)`
    `void` | `addLoadedEntities(java.util.List par1List)`
    `void` | `addTileEntity(TileEntity entity)` Adds a single TileEntity to the world.
    `boolean` | `addWeatherEffect(Entity par1Entity)`
    `void` | `addWorldAccess(IWorldAccess par1IWorldAccess)`
    `CrashReportCategory` | `addWorldInfoToCrashReport(CrashReport par1CrashReport)`
    `boolean` | `blockExists(int par1, int par2, int par3)`
    `void` | `calculateInitialSkylight()`
    `void` | `calculateInitialWeatherBody()`
    `int` | `calculateSkylightSubtracted(float par1)`
    `boolean` | `canBlockFreeze(int par1, int par2, int par3, boolean par4)`
    `boolean` | `canBlockFreezeBody(int par1, int par2, int par3, boolean par4)`
    `boolean` | `canBlockSeeTheSky(int par1, int par2, int par3)`
    `boolean` | `canLightningStrikeAt(int par1, int par2, int par3)`
    `boolean` | `canMineBlock(EntityPlayer par1EntityPlayer, int par2, int par3, int par4)`
    `boolean` | `canMineBlockBody(EntityPlayer par1EntityPlayer, int par2, int par3, int par4)`
    `boolean` | `canPlaceEntityOnSide(Block p_147472_1_, int p_147472_2_, int p_147472_3_, int p_147472_4_, boolean p_147472_5_, int p_147472_6_, Entity p_147472_7_, ItemStack p_147472_8_)`
    `boolean` | `canSnowAtBody(int p_147478_1_, int p_147478_2_, int p_147478_3_, boolean p_147478_4_)`
    `boolean` | `checkBlockCollision(AxisAlignedBB par1AxisAlignedBB)`
    `boolean` | `checkChunksExist(int par1, int par2, int par3, int par4, int par5, int par6)`
    `boolean` | `checkNoEntityCollision(AxisAlignedBB par1AxisAlignedBB)`
    `boolean` | `checkNoEntityCollision(AxisAlignedBB par1AxisAlignedBB, Entity par2Entity)`
    `void` | `checkSessionLock()`
    `protected boolean` | `chunkExists(int par1, int par2)`
    `int` | `countEntities(java.lang.Class par1Class)`
    `int` | `countEntities(EnumCreatureType type, boolean forSpawnCount)` Returns a count of entities that classify themselves as the specified creature type.
    `protected abstract IChunkProvider` | `createChunkProvider()`
    `Explosion` | `createExplosion(Entity par1Entity, double par2, double par4, double par6, float par8, boolean par9)`
    `void` | `destroyBlockInWorldPartially(int p_147443_1_, int p_147443_2_, int p_147443_3_, int p_147443_4_, int p_147443_5_)`
    `boolean` | `doChunksNearChunkExist(int par1, int par2, int par3, int par4)`
    `static boolean` | `doesBlockHaveSolidTopSurface(IBlockAccess p_147466_0_, int p_147466_1_, int p_147466_2_, int p_147466_3_)`
    `Vec3` | `drawCloudsBody(float par1)`
    `boolean` | `extendedLevelsInChunkCache()`
    `boolean` | `extinguishFire(EntityPlayer par1EntityPlayer, int par2, int par3, int par4, int par5)`
    `ChunkPosition` | `findClosestStructure(java.lang.String p_147440_1_, int p_147440_2_, int p_147440_3_, int p_147440_4_)`
    `Entity` | `findNearestEntityWithinAABB(java.lang.Class par1Class, AxisAlignedBB par2AxisAlignedBB, Entity par3Entity)`
    `protected void` | `finishSetup()`
    `void` | `func_147446_b(int p_147446_1_, int p_147446_2_, int p_147446_3_, Block p_147446_4_, int p_147446_5_, int p_147446_6_)`
    `MovingObjectPosition` | `func_147447_a(Vec3 p_147447_1_, Vec3 p_147447_2_, boolean p_147447_3_, boolean p_147447_4_, boolean p_147447_5_)`
    `void` | `func_147448_a(java.util.Collection p_147448_1_)`
    `void` | `func_147450_X()`
    `boolean` | `func_147451_t(int p_147451_1_, int p_147451_2_, int p_147451_3_)`
    `void` | `func_147453_f(int p_147453_1_, int p_147453_2_, int p_147453_3_, Block p_147453_4_)`
    `protected void` | `func_147456_g()`
    `void` | `func_147457_a(TileEntity p_147457_1_)`
    `java.util.List` | `func_147461_a(AxisAlignedBB p_147461_1_)`
    `float` | `func_147462_b(double p_147462_1_, double p_147462_3_, double p_147462_5_)`
    `protected void` | `func_147467_a(int p_147467_1_, int p_147467_2_, Chunk p_147467_3_)`
    `boolean` | `func_147469_q(int p_147469_1_, int p_147469_2_, int p_147469_3_)`
    `boolean` | `func_147470_e(AxisAlignedBB p_147470_1_)`
    `float` | `func_147473_B(int p_147473_1_, int p_147473_2_, int p_147473_3_)`
    `boolean` | `func_147478_e(int p_147478_1_, int p_147478_2_, int p_147478_3_, boolean p_147478_4_)`
    `void` | `func_147479_m(int p_147479_1_, int p_147479_2_, int p_147479_3_)`
    `boolean` | `func_147480_a(int p_147480_1_, int p_147480_2_, int p_147480_3_, boolean p_147480_4_)`
    `void` | `func_82738_a(long par1)`
    `int` | `getActualHeight()`
    `BiomeGenBase` | `getBiomeGenForCoords(int par1, int par2)`
    `BiomeGenBase` | `getBiomeGenForCoordsBody(int par1, int par2)`
    `Block` | `getBlock(int p_147439_1_, int p_147439_2_, int p_147439_3_)`
    `float` | `getBlockDensity(Vec3 par1Vec3, AxisAlignedBB par2AxisAlignedBB)`
    `int` | `getBlockLightOpacity(int x, int y, int z)` Readded as it was removed, very useful helper function
    `int` | `getBlockLightValue_do(int par1, int par2, int par3, boolean par4)`
    `int` | `getBlockLightValue(int par1, int par2, int par3)`
    `int` | `getBlockMetadata(int par1, int par2, int par3)`
    `int` | `getBlockPowerInput(int par1, int par2, int par3)`
    `float` | `getCelestialAngle(float par1)`
    `float` | `getCelestialAngleRadians(float par1)`
    `Chunk` | `getChunkFromBlockCoords(int par1, int par2)`
    `Chunk` | `getChunkFromChunkCoords(int par1, int par2)`
    `int` | `getChunkHeightMapMinimum(int par1, int par2)`
    `IChunkProvider` | `getChunkProvider()`
    `EntityPlayer` | `getClosestPlayer(double par1, double par3, double par5, double par7)`
    `EntityPlayer` | `getClosestPlayerToEntity(Entity par1Entity, double par2)`
    `EntityPlayer` | `getClosestVulnerablePlayer(double par1, double par3, double par5, double par7)`
    `EntityPlayer` | `getClosestVulnerablePlayerToEntity(Entity par1Entity, double par2)`
    `Vec3` | `getCloudColour(float par1)`
    `java.util.List` | `getCollidingBoundingBoxes(Entity par1Entity, AxisAlignedBB par2AxisAlignedBB)`
    `java.util.Calendar` | `getCurrentDate()`
    `float` | `getCurrentMoonPhaseFactor()`
    `java.lang.String` | `getDebugLoadedEntities()`
    `java.util.List` | `getEntitiesWithinAABB(java.lang.Class par1Class, AxisAlignedBB par2AxisAlignedBB)`
    `java.util.List` | `getEntitiesWithinAABBExcludingEntity(Entity par1Entity, AxisAlignedBB par2AxisAlignedBB)`
    `java.util.List` | `getEntitiesWithinAABBExcludingEntity(Entity par1Entity, AxisAlignedBB par2AxisAlignedBB, IEntitySelector par3IEntitySelector)`
    `abstract Entity` | `getEntityByID(int var1)`
    `PathEntity` | `getEntityPathToXYZ(Entity par1Entity, int par2, int par3, int par4, float par5, boolean par6, boolean par7, boolean par8, boolean par9)`
    `Vec3` | `getFogColor(float par1)`
    `int` | `getFullBlockLightValue(int par1, int par2, int par3)`
    `GameRules` | `getGameRules()`
    `int` | `getHeight()`
    `int` | `getHeightValue(int par1, int par2)`
    `double` | `getHorizon()`
    `int` | `getIndirectPowerLevelTo(int par1, int par2, int par3, int par4)`
    `boolean` | `getIndirectPowerOutput(int par1, int par2, int par3, int par4)`
    `float` | `getLightBrightness(int par1, int par2, int par3)`
    `int` | `getLightBrightnessForSkyBlocks(int par1, int par2, int par3, int par4)`
    `java.util.List` | `getLoadedEntityList()`
    `int` | `getMoonPhase()`
    `PathEntity` | `getPathEntityToEntity(Entity par1Entity, Entity par2Entity, float par3, boolean par4, boolean par5, boolean par6, boolean par7)`
    `java.util.List` | `getPendingBlockUpdates(Chunk par1Chunk, boolean par2)`
    `com.google.common.collect.ImmutableSetMultimap<ChunkCoordIntPair,ForgeChunkManager.Ticket>` | `getPersistentChunks()` Get the persistent chunks for this world
    `EntityPlayer` | `getPlayerEntityByName(java.lang.String par1Str)`
    `int` | `getPrecipitationHeight(int par1, int par2)`
    `java.lang.String` | `getProviderName()`
    `float` | `getRainStrength(float par1)`
    `int` | `getSavedLightValue(EnumSkyBlock par1EnumSkyBlock, int par2, int par3, int par4)`
    `ISaveHandler` | `getSaveHandler()`
    `Scoreboard` | `getScoreboard()`
    `long` | `getSeed()`
    `int` | `getSkyBlockTypeBrightness(EnumSkyBlock par1EnumSkyBlock, int par2, int par3, int par4)`
    `Vec3` | `getSkyColor(Entity par1Entity, float par2)`
    `Vec3` | `getSkyColorBody(Entity par1Entity, float par2)`
    `ChunkCoordinates` | `getSpawnPoint()`
    `float` | `getStarBrightness(float par1)`
    `float` | `getStarBrightnessBody(float par1)`
    `int` | `getStrongestIndirectPower(int par1, int par2, int par3)`
    `float` | `getSunBrightness(float par1)`
    `TileEntity` | `getTileEntity(int p_147438_1_, int p_147438_2_, int p_147438_3_)`
    `Block` | `getTopBlock(int p_147474_1_, int p_147474_2_)`
    `int` | `getTopSolidOrLiquidBlock(int par1, int par2)`
    `long` | `getTotalWorldTime()`
    `int` | `getUniqueDataId(java.lang.String par1Str)`
    `float` | `getWeightedThunderStrength(float par1)`
    `WorldChunkManager` | `getWorldChunkManager()`
    `WorldInfo` | `getWorldInfo()`
    `long` | `getWorldTime()`
    `Vec3Pool` | `getWorldVec3Pool()` Deprecated.
    `boolean` | `handleMaterialAcceleration(AxisAlignedBB par1AxisAlignedBB, Material par2Material, Entity par3Entity)`
    `protected void` | `initialize(WorldSettings par1WorldSettings)`
    `boolean` | `isAABBInMaterial(AxisAlignedBB par1AxisAlignedBB, Material par2Material)`
    `boolean` | `isAirBlock(int p_147437_1_, int p_147437_2_, int p_147437_3_)`
    `boolean` | `isAnyLiquid(AxisAlignedBB par1AxisAlignedBB)`
    `boolean` | `isBlockFreezable(int par1, int par2, int par3)`
    `boolean` | `isBlockFreezableNaturally(int par1, int par2, int par3)`
    `boolean` | `isBlockHighHumidity(int par1, int par2, int par3)`
    `boolean` | `isBlockIndirectlyGettingPowered(int par1, int par2, int par3)`
    `boolean` | `isBlockNormalCubeDefault(int p_147445_1_, int p_147445_2_, int p_147445_3_, boolean p_147445_4_)`
    `int` | `isBlockProvidingPowerTo(int par1, int par2, int par3, int par4)`
    `boolean` | `isBlockTickScheduledThisTick(int p_147477_1_, int p_147477_2_, int p_147477_3_, Block p_147477_4_)`
    `boolean` | `isDaytime()`
    `boolean` | `isMaterialInBB(AxisAlignedBB par1AxisAlignedBB, Material par2Material)`
    `boolean` | `isRaining()`
    `boolean` | `isSideSolid(int x, int y, int z, ForgeDirection side)` Determine if the given block is considered solid on the specified side.
    `boolean` | `isSideSolid(int x, int y, int z, ForgeDirection side, boolean _default)` Determine if the given block is considered solid on the specified side.
    `boolean` | `isThundering()`
    `void` | `joinEntityInSurroundings(Entity par1Entity)`
    `WorldSavedData` | `loadItemData(java.lang.Class par1Class, java.lang.String par2Str)`
    `void` | `makeFireworks(double par1, double par3, double par5, double par7, double par9, double par11, NBTTagCompound par13NBTTagCompound)`
    `void` | `markBlockForUpdate(int p_147471_1_, int p_147471_2_, int p_147471_3_)`
    `void` | `markBlockRangeForRenderUpdate(int p_147458_1_, int p_147458_2_, int p_147458_3_, int p_147458_4_, int p_147458_5_, int p_147458_6_)`
    `void` | `markBlocksDirtyVertical(int par1, int par2, int par3, int par4)`
    `void` | `markTileEntityChunkModified(int p_147476_1_, int p_147476_2_, int p_147476_3_, TileEntity p_147476_4_)`
    `Explosion` | `newExplosion(Entity par1Entity, double par2, double par4, double par6, float par8, boolean par9, boolean par10)`
    `void` | `notifyBlockChange(int p_147444_1_, int p_147444_2_, int p_147444_3_, Block p_147444_4_)`
    `void` | `notifyBlockOfNeighborChange(int p_147460_1_, int p_147460_2_, int p_147460_3_, Block p_147460_4_)`
    `void` | `notifyBlocksOfNeighborChange(int p_147459_1_, int p_147459_2_, int p_147459_3_, Block p_147459_4_)`
    `void` | `notifyBlocksOfNeighborChange(int p_147441_1_, int p_147441_2_, int p_147441_3_, Block p_147441_4_, int p_147441_5_)`
    `void` | `onEntityAdded(Entity par1Entity)`
    `void` | `onEntityRemoved(Entity par1Entity)`
    `void` | `playAuxSFX(int par1, int par2, int par3, int par4, int par5)`
    `void` | `playAuxSFXAtEntity(EntityPlayer par1EntityPlayer, int par2, int par3, int par4, int par5, int par6)`
    `void` | `playBroadcastSound(int par1, int par2, int par3, int par4, int par5)`
    `void` | `playRecord(java.lang.String par1Str, int par2, int par3, int par4)`
    `void` | `playSound(double par1, double par3, double par5, java.lang.String par7Str, float par8, float par9, boolean par10)`
    `void` | `playSoundAtEntity(Entity par1Entity, java.lang.String par2Str, float par3, float par4)`
    `void` | `playSoundEffect(double par1, double par3, double par5, java.lang.String par7Str, float par8, float par9)`
    `void` | `playSoundToNearExcept(EntityPlayer par1EntityPlayer, java.lang.String par2Str, float par3, float par4)`
    `MovingObjectPosition` | `rayTraceBlocks(Vec3 par1Vec3, Vec3 par2Vec3)`
    `MovingObjectPosition` | `rayTraceBlocks(Vec3 par1Vec3, Vec3 par2Vec3, boolean par3)`
    `void` | `removeEntity(Entity par1Entity)`
    `void` | `removePlayerEntityDangerously(Entity par1Entity)`
    `void` | `removeTileEntity(int p_147475_1_, int p_147475_2_, int p_147475_3_)`
    `void` | `removeWorldAccess(IWorldAccess par1IWorldAccess)`
    `void` | `scheduleBlockUpdate(int p_147464_1_, int p_147464_2_, int p_147464_3_, Block p_147464_4_, int p_147464_5_)`
    `void` | `scheduleBlockUpdateWithPriority(int p_147454_1_, int p_147454_2_, int p_147454_3_, Block p_147454_4_, int p_147454_5_, int p_147454_6_)`
    `java.util.List` | `selectEntitiesWithinAABB(java.lang.Class par1Class, AxisAlignedBB par2AxisAlignedBB, IEntitySelector par3IEntitySelector)`
    `void` | `sendQuittingDisconnectingPacket()`
    `protected void` | `setActivePlayerChunksAndCheckLight()`
    `void` | `setAllowedSpawnTypes(boolean par1, boolean par2)`
    `boolean` | `setBlock(int p_147449_1_, int p_147449_2_, int p_147449_3_, Block p_147449_4_)`
    `boolean` | `setBlock(int p_147465_1_, int p_147465_2_, int p_147465_3_, Block p_147465_4_, int p_147465_5_, int p_147465_6_)`
    `boolean` | `setBlockMetadataWithNotify(int par1, int par2, int par3, int par4, int par5)`
    `boolean` | `setBlockToAir(int p_147468_1_, int p_147468_2_, int p_147468_3_)`
    `void` | `setEntityState(Entity par1Entity, byte par2)`
    `void` | `setItemData(java.lang.String par1Str, WorldSavedData par2WorldSavedData)`
    `void` | `setLightValue(EnumSkyBlock par1EnumSkyBlock, int par2, int par3, int par4, int par5)`
    `void` | `setRainStrength(float par1)`
    `java.util.Random` | `setRandomSeed(int par1, int par2, int par3)`
    `void` | `setSpawnLocation()`
    `void` | `setSpawnLocation(int par1, int par2, int par3)`
    `void` | `setThunderStrength(float p_147442_1_)`
    `void` | `setTileEntity(int p_147455_1_, int p_147455_2_, int p_147455_3_, TileEntity p_147455_4_)`
    `void` | `setWorldTime(long par1)`
    `boolean` | `spawnEntityInWorld(Entity par1Entity)`
    `void` | `spawnParticle(java.lang.String par1Str, double par2, double par4, double par6, double par8, double par10, double par12)`
    `void` | `tick()`
    `boolean` | `tickUpdates(boolean par1)`
    `void` | `unloadEntities(java.util.List par1List)`
    `void` | `updateAllPlayersSleepingFlag()`
    `void` | `updateEntities()`
    `void` | `updateEntity(Entity par1Entity)`
    `void` | `updateEntityWithOptionalForce(Entity par1Entity, boolean par2)`
    `boolean` | `updateLightByType(EnumSkyBlock p_147463_1_, int p_147463_2_, int p_147463_3_, int p_147463_4_)`
    `protected void` | `updateWeather()`
    `void` | `updateWeatherBody()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_ENTITY_RADIUS

          public static double MAX_ENTITY_RADIUS

      Used in the getEntitiesWithinAABB functions to expand the search area for entities. Modders should change this variable to a higher value if it is less then the radius of one of there entities.

    - #### perWorldStorage

          public final MapStorage perWorldStorage

    - #### scheduledUpdatesAreImmediate

          public boolean scheduledUpdatesAreImmediate

    - #### loadedEntityList

          public java.util.List loadedEntityList

    - #### unloadedEntityList

          protected java.util.List unloadedEntityList

    - #### loadedTileEntityList

          public java.util.List loadedTileEntityList

    - #### playerEntities

          public java.util.List playerEntities

    - #### weatherEffects

          public java.util.List weatherEffects

    - #### skylightSubtracted

          public int skylightSubtracted

    - #### updateLCG

          protected int updateLCG

    - #### DIST_HASH_MAGIC

          protected final int DIST_HASH_MAGIC

      See Also:
        Constant Field Values

    - #### prevRainingStrength

          public float prevRainingStrength

    - #### rainingStrength

          public float rainingStrength

    - #### prevThunderingStrength

          public float prevThunderingStrength

    - #### thunderingStrength

          public float thunderingStrength

    - #### lastLightningBolt

          public int lastLightningBolt

    - #### difficultySetting

          public EnumDifficulty difficultySetting

    - #### rand

          public java.util.Random rand

    - #### provider

          public final WorldProvider provider

    - #### worldAccesses

          protected java.util.List worldAccesses

    - #### chunkProvider

          protected IChunkProvider chunkProvider

    - #### saveHandler

          protected final ISaveHandler saveHandler

    - #### worldInfo

          protected WorldInfo worldInfo

    - #### findingSpawnPoint

          public boolean findingSpawnPoint

    - #### mapStorage

          public MapStorage mapStorage

    - #### villageCollectionObj

          public VillageCollection villageCollectionObj

    - #### villageSiegeObj

          protected final VillageSiege villageSiegeObj

    - #### theProfiler

          public final Profiler theProfiler

    - #### worldScoreboard

          protected Scoreboard worldScoreboard

    - #### isRemote

          public boolean isRemote

    - #### activeChunkSet

          protected java.util.Set activeChunkSet

    - #### spawnHostileMobs

          protected boolean spawnHostileMobs

    - #### spawnPeacefulMobs

          protected boolean spawnPeacefulMobs

  - ### Constructor Detail

    - #### World

          public World(ISaveHandler p_i45368_1_,
               java.lang.String p_i45368_2_,
               WorldProvider p_i45368_3_,
               WorldSettings p_i45368_4_,
               Profiler p_i45368_5_)

    - #### World

          public World(ISaveHandler p_i45369_1_,
               java.lang.String p_i45369_2_,
               WorldSettings p_i45369_3_,
               WorldProvider p_i45369_4_,
               Profiler p_i45369_5_)

  - ### Method Detail

    - #### getBiomeGenForCoords

          public BiomeGenBase getBiomeGenForCoords(int par1,
                                          int par2)

      Specified by:
        `getBiomeGenForCoords` in interface `IBlockAccess`

    - #### getBiomeGenForCoordsBody

          public BiomeGenBase getBiomeGenForCoordsBody(int par1,
                                              int par2)

    - #### getWorldChunkManager

          public WorldChunkManager getWorldChunkManager()

    - #### finishSetup

          protected void finishSetup()

    - #### createChunkProvider

          protected abstract IChunkProvider createChunkProvider()

    - #### initialize

          protected void initialize(WorldSettings par1WorldSettings)

    - #### setSpawnLocation

          public void setSpawnLocation()

    - #### getTopBlock

          public Block getTopBlock(int p_147474_1_,
                          int p_147474_2_)

    - #### getBlock

          public Block getBlock(int p_147439_1_,
                       int p_147439_2_,
                       int p_147439_3_)

      Specified by:
        `getBlock` in interface `IBlockAccess`

    - #### isAirBlock

          public boolean isAirBlock(int p_147437_1_,
                           int p_147437_2_,
                           int p_147437_3_)

      Specified by:
        `isAirBlock` in interface `IBlockAccess`

    - #### blockExists

          public boolean blockExists(int par1,
                            int par2,
                            int par3)

    - #### doChunksNearChunkExist

          public boolean doChunksNearChunkExist(int par1,
                                       int par2,
                                       int par3,
                                       int par4)

    - #### checkChunksExist

          public boolean checkChunksExist(int par1,
                                 int par2,
                                 int par3,
                                 int par4,
                                 int par5,
                                 int par6)

    - #### chunkExists

          protected boolean chunkExists(int par1,
                            int par2)

    - #### getChunkFromBlockCoords

          public Chunk getChunkFromBlockCoords(int par1,
                                      int par2)

    - #### getChunkFromChunkCoords

          public Chunk getChunkFromChunkCoords(int par1,
                                      int par2)

    - #### setBlock

          public boolean setBlock(int p_147465_1_,
                         int p_147465_2_,
                         int p_147465_3_,
                         Block p_147465_4_,
                         int p_147465_5_,
                         int p_147465_6_)

    - #### getBlockMetadata

          public int getBlockMetadata(int par1,
                             int par2,
                             int par3)

      Specified by:
        `getBlockMetadata` in interface `IBlockAccess`

    - #### setBlockMetadataWithNotify

          public boolean setBlockMetadataWithNotify(int par1,
                                           int par2,
                                           int par3,
                                           int par4,
                                           int par5)

    - #### setBlockToAir

          public boolean setBlockToAir(int p_147468_1_,
                              int p_147468_2_,
                              int p_147468_3_)

    - #### func_147480_a

          public boolean func_147480_a(int p_147480_1_,
                              int p_147480_2_,
                              int p_147480_3_,
                              boolean p_147480_4_)

    - #### setBlock

          public boolean setBlock(int p_147449_1_,
                         int p_147449_2_,
                         int p_147449_3_,
                         Block p_147449_4_)

    - #### markBlockForUpdate

          public void markBlockForUpdate(int p_147471_1_,
                                int p_147471_2_,
                                int p_147471_3_)

    - #### notifyBlockChange

          public void notifyBlockChange(int p_147444_1_,
                               int p_147444_2_,
                               int p_147444_3_,
                               Block p_147444_4_)

    - #### markBlocksDirtyVertical

          public void markBlocksDirtyVertical(int par1,
                                     int par2,
                                     int par3,
                                     int par4)

    - #### markBlockRangeForRenderUpdate

          public void markBlockRangeForRenderUpdate(int p_147458_1_,
                                           int p_147458_2_,
                                           int p_147458_3_,
                                           int p_147458_4_,
                                           int p_147458_5_,
                                           int p_147458_6_)

    - #### notifyBlocksOfNeighborChange

          public void notifyBlocksOfNeighborChange(int p_147459_1_,
                                          int p_147459_2_,
                                          int p_147459_3_,
                                          Block p_147459_4_)

    - #### notifyBlocksOfNeighborChange

          public void notifyBlocksOfNeighborChange(int p_147441_1_,
                                          int p_147441_2_,
                                          int p_147441_3_,
                                          Block p_147441_4_,
                                          int p_147441_5_)

    - #### notifyBlockOfNeighborChange

          public void notifyBlockOfNeighborChange(int p_147460_1_,
                                         int p_147460_2_,
                                         int p_147460_3_,
                                         Block p_147460_4_)

    - #### isBlockTickScheduledThisTick

          public boolean isBlockTickScheduledThisTick(int p_147477_1_,
                                             int p_147477_2_,
                                             int p_147477_3_,
                                             Block p_147477_4_)

    - #### canBlockSeeTheSky

          public boolean canBlockSeeTheSky(int par1,
                                  int par2,
                                  int par3)

    - #### getFullBlockLightValue

          public int getFullBlockLightValue(int par1,
                                   int par2,
                                   int par3)

    - #### getBlockLightValue

          public int getBlockLightValue(int par1,
                               int par2,
                               int par3)

    - #### getBlockLightValue_do

          public int getBlockLightValue_do(int par1,
                                  int par2,
                                  int par3,
                                  boolean par4)

    - #### getHeightValue

          public int getHeightValue(int par1,
                           int par2)

    - #### getChunkHeightMapMinimum

          public int getChunkHeightMapMinimum(int par1,
                                     int par2)

    - #### getSkyBlockTypeBrightness

          public int getSkyBlockTypeBrightness(EnumSkyBlock par1EnumSkyBlock,
                                      int par2,
                                      int par3,
                                      int par4)

    - #### getSavedLightValue

          public int getSavedLightValue(EnumSkyBlock par1EnumSkyBlock,
                               int par2,
                               int par3,
                               int par4)

    - #### setLightValue

          public void setLightValue(EnumSkyBlock par1EnumSkyBlock,
                           int par2,
                           int par3,
                           int par4,
                           int par5)

    - #### func_147479_m

          public void func_147479_m(int p_147479_1_,
                           int p_147479_2_,
                           int p_147479_3_)

    - #### getLightBrightnessForSkyBlocks

          public int getLightBrightnessForSkyBlocks(int par1,
                                           int par2,
                                           int par3,
                                           int par4)

      Specified by:
        `getLightBrightnessForSkyBlocks` in interface `IBlockAccess`

    - #### getLightBrightness

          public float getLightBrightness(int par1,
                                 int par2,
                                 int par3)

    - #### isDaytime

          public boolean isDaytime()

    - #### rayTraceBlocks

          public MovingObjectPosition rayTraceBlocks(Vec3 par1Vec3,
                                            Vec3 par2Vec3)

    - #### rayTraceBlocks

          public MovingObjectPosition rayTraceBlocks(Vec3 par1Vec3,
                                            Vec3 par2Vec3,
                                            boolean par3)

    - #### func_147447_a

          public MovingObjectPosition func_147447_a(Vec3 p_147447_1_,
                                           Vec3 p_147447_2_,
                                           boolean p_147447_3_,
                                           boolean p_147447_4_,
                                           boolean p_147447_5_)

    - #### playSoundAtEntity

          public void playSoundAtEntity(Entity par1Entity,
                               java.lang.String par2Str,
                               float par3,
                               float par4)

    - #### playSoundToNearExcept

          public void playSoundToNearExcept(EntityPlayer par1EntityPlayer,
                                   java.lang.String par2Str,
                                   float par3,
                                   float par4)

    - #### playSoundEffect

          public void playSoundEffect(double par1,
                             double par3,
                             double par5,
                             java.lang.String par7Str,
                             float par8,
                             float par9)

    - #### playSound

          public void playSound(double par1,
                       double par3,
                       double par5,
                       java.lang.String par7Str,
                       float par8,
                       float par9,
                       boolean par10)

    - #### playRecord

          public void playRecord(java.lang.String par1Str,
                        int par2,
                        int par3,
                        int par4)

    - #### spawnParticle

          public void spawnParticle(java.lang.String par1Str,
                           double par2,
                           double par4,
                           double par6,
                           double par8,
                           double par10,
                           double par12)

    - #### addWeatherEffect

          public boolean addWeatherEffect(Entity par1Entity)

    - #### spawnEntityInWorld

          public boolean spawnEntityInWorld(Entity par1Entity)

    - #### onEntityAdded

          public void onEntityAdded(Entity par1Entity)

    - #### onEntityRemoved

          public void onEntityRemoved(Entity par1Entity)

    - #### removeEntity

          public void removeEntity(Entity par1Entity)

    - #### removePlayerEntityDangerously

          public void removePlayerEntityDangerously(Entity par1Entity)

    - #### addWorldAccess

          public void addWorldAccess(IWorldAccess par1IWorldAccess)

    - #### getCollidingBoundingBoxes

          public java.util.List getCollidingBoundingBoxes(Entity par1Entity,
                                                 AxisAlignedBB par2AxisAlignedBB)

    - #### func_147461_a

          public java.util.List func_147461_a(AxisAlignedBB p_147461_1_)

    - #### calculateSkylightSubtracted

          public int calculateSkylightSubtracted(float par1)

    - #### removeWorldAccess

          public void removeWorldAccess(IWorldAccess par1IWorldAccess)

    - #### getSunBrightness

          public float getSunBrightness(float par1)

    - #### getSkyColor

          public Vec3 getSkyColor(Entity par1Entity,
                         float par2)

    - #### getSkyColorBody

          public Vec3 getSkyColorBody(Entity par1Entity,
                             float par2)

    - #### getCelestialAngle

          public float getCelestialAngle(float par1)

    - #### getMoonPhase

          public int getMoonPhase()

    - #### getCurrentMoonPhaseFactor

          public float getCurrentMoonPhaseFactor()

    - #### getCelestialAngleRadians

          public float getCelestialAngleRadians(float par1)

    - #### getCloudColour

          public Vec3 getCloudColour(float par1)

    - #### drawCloudsBody

          public Vec3 drawCloudsBody(float par1)

    - #### getFogColor

          public Vec3 getFogColor(float par1)

    - #### getPrecipitationHeight

          public int getPrecipitationHeight(int par1,
                                   int par2)

    - #### getTopSolidOrLiquidBlock

          public int getTopSolidOrLiquidBlock(int par1,
                                     int par2)

    - #### getStarBrightness

          public float getStarBrightness(float par1)

    - #### getStarBrightnessBody

          public float getStarBrightnessBody(float par1)

    - #### scheduleBlockUpdate

          public void scheduleBlockUpdate(int p_147464_1_,
                                 int p_147464_2_,
                                 int p_147464_3_,
                                 Block p_147464_4_,
                                 int p_147464_5_)

    - #### scheduleBlockUpdateWithPriority

          public void scheduleBlockUpdateWithPriority(int p_147454_1_,
                                             int p_147454_2_,
                                             int p_147454_3_,
                                             Block p_147454_4_,
                                             int p_147454_5_,
                                             int p_147454_6_)

    - #### func_147446_b

          public void func_147446_b(int p_147446_1_,
                           int p_147446_2_,
                           int p_147446_3_,
                           Block p_147446_4_,
                           int p_147446_5_,
                           int p_147446_6_)

    - #### updateEntities

          public void updateEntities()

    - #### func_147448_a

          public void func_147448_a(java.util.Collection p_147448_1_)

    - #### updateEntity

          public void updateEntity(Entity par1Entity)

    - #### updateEntityWithOptionalForce

          public void updateEntityWithOptionalForce(Entity par1Entity,
                                           boolean par2)

    - #### checkNoEntityCollision

          public boolean checkNoEntityCollision(AxisAlignedBB par1AxisAlignedBB)

    - #### checkNoEntityCollision

          public boolean checkNoEntityCollision(AxisAlignedBB par1AxisAlignedBB,
                                       Entity par2Entity)

    - #### checkBlockCollision

          public boolean checkBlockCollision(AxisAlignedBB par1AxisAlignedBB)

    - #### isAnyLiquid

          public boolean isAnyLiquid(AxisAlignedBB par1AxisAlignedBB)

    - #### func_147470_e

          public boolean func_147470_e(AxisAlignedBB p_147470_1_)

    - #### handleMaterialAcceleration

          public boolean handleMaterialAcceleration(AxisAlignedBB par1AxisAlignedBB,
                                           Material par2Material,
                                           Entity par3Entity)

    - #### isMaterialInBB

          public boolean isMaterialInBB(AxisAlignedBB par1AxisAlignedBB,
                               Material par2Material)

    - #### isAABBInMaterial

          public boolean isAABBInMaterial(AxisAlignedBB par1AxisAlignedBB,
                                 Material par2Material)

    - #### createExplosion

          public Explosion createExplosion(Entity par1Entity,
                                  double par2,
                                  double par4,
                                  double par6,
                                  float par8,
                                  boolean par9)

    - #### newExplosion

          public Explosion newExplosion(Entity par1Entity,
                               double par2,
                               double par4,
                               double par6,
                               float par8,
                               boolean par9,
                               boolean par10)

    - #### getBlockDensity

          public float getBlockDensity(Vec3 par1Vec3,
                              AxisAlignedBB par2AxisAlignedBB)

    - #### extinguishFire

          public boolean extinguishFire(EntityPlayer par1EntityPlayer,
                               int par2,
                               int par3,
                               int par4,
                               int par5)

    - #### getDebugLoadedEntities

          public java.lang.String getDebugLoadedEntities()

    - #### getProviderName

          public java.lang.String getProviderName()

    - #### getTileEntity

          public TileEntity getTileEntity(int p_147438_1_,
                                 int p_147438_2_,
                                 int p_147438_3_)

      Specified by:
        `getTileEntity` in interface `IBlockAccess`

    - #### setTileEntity

          public void setTileEntity(int p_147455_1_,
                           int p_147455_2_,
                           int p_147455_3_,
                           TileEntity p_147455_4_)

    - #### removeTileEntity

          public void removeTileEntity(int p_147475_1_,
                              int p_147475_2_,
                              int p_147475_3_)

    - #### func_147457_a

          public void func_147457_a(TileEntity p_147457_1_)

    - #### func_147469_q

          public boolean func_147469_q(int p_147469_1_,
                              int p_147469_2_,
                              int p_147469_3_)

    - #### doesBlockHaveSolidTopSurface

          public static boolean doesBlockHaveSolidTopSurface(IBlockAccess p_147466_0_,
                                             int p_147466_1_,
                                             int p_147466_2_,
                                             int p_147466_3_)

    - #### isBlockNormalCubeDefault

          public boolean isBlockNormalCubeDefault(int p_147445_1_,
                                         int p_147445_2_,
                                         int p_147445_3_,
                                         boolean p_147445_4_)

    - #### calculateInitialSkylight

          public void calculateInitialSkylight()

    - #### setAllowedSpawnTypes

          public void setAllowedSpawnTypes(boolean par1,
                                  boolean par2)

    - #### tick

          public void tick()

    - #### calculateInitialWeatherBody

          public void calculateInitialWeatherBody()

    - #### updateWeather

          protected void updateWeather()

    - #### updateWeatherBody

          public void updateWeatherBody()

    - #### setActivePlayerChunksAndCheckLight

          protected void setActivePlayerChunksAndCheckLight()

    - #### func_147467_a

          protected void func_147467_a(int p_147467_1_,
                           int p_147467_2_,
                           Chunk p_147467_3_)

    - #### func_147456_g

          protected void func_147456_g()

    - #### isBlockFreezable

          public boolean isBlockFreezable(int par1,
                                 int par2,
                                 int par3)

    - #### isBlockFreezableNaturally

          public boolean isBlockFreezableNaturally(int par1,
                                          int par2,
                                          int par3)

    - #### canBlockFreeze

          public boolean canBlockFreeze(int par1,
                               int par2,
                               int par3,
                               boolean par4)

    - #### canBlockFreezeBody

          public boolean canBlockFreezeBody(int par1,
                                   int par2,
                                   int par3,
                                   boolean par4)

    - #### func_147478_e

          public boolean func_147478_e(int p_147478_1_,
                              int p_147478_2_,
                              int p_147478_3_,
                              boolean p_147478_4_)

    - #### canSnowAtBody

          public boolean canSnowAtBody(int p_147478_1_,
                              int p_147478_2_,
                              int p_147478_3_,
                              boolean p_147478_4_)

    - #### func_147451_t

          public boolean func_147451_t(int p_147451_1_,
                              int p_147451_2_,
                              int p_147451_3_)

    - #### updateLightByType

          public boolean updateLightByType(EnumSkyBlock p_147463_1_,
                                  int p_147463_2_,
                                  int p_147463_3_,
                                  int p_147463_4_)

    - #### tickUpdates

          public boolean tickUpdates(boolean par1)

    - #### getPendingBlockUpdates

          public java.util.List getPendingBlockUpdates(Chunk par1Chunk,
                                              boolean par2)

    - #### getEntitiesWithinAABBExcludingEntity

          public java.util.List getEntitiesWithinAABBExcludingEntity(Entity par1Entity,
                                                            AxisAlignedBB par2AxisAlignedBB)

    - #### getEntitiesWithinAABBExcludingEntity

          public java.util.List getEntitiesWithinAABBExcludingEntity(Entity par1Entity,
                                                            AxisAlignedBB par2AxisAlignedBB,
                                                            IEntitySelector par3IEntitySelector)

    - #### getEntitiesWithinAABB

          public java.util.List getEntitiesWithinAABB(java.lang.Class par1Class,
                                             AxisAlignedBB par2AxisAlignedBB)

    - #### selectEntitiesWithinAABB

          public java.util.List selectEntitiesWithinAABB(java.lang.Class par1Class,
                                                AxisAlignedBB par2AxisAlignedBB,
                                                IEntitySelector par3IEntitySelector)

    - #### findNearestEntityWithinAABB

          public Entity findNearestEntityWithinAABB(java.lang.Class par1Class,
                                           AxisAlignedBB par2AxisAlignedBB,
                                           Entity par3Entity)

    - #### getEntityByID

          public abstract Entity getEntityByID(int var1)

    - #### getLoadedEntityList

          public java.util.List getLoadedEntityList()

    - #### markTileEntityChunkModified

          public void markTileEntityChunkModified(int p_147476_1_,
                                         int p_147476_2_,
                                         int p_147476_3_,
                                         TileEntity p_147476_4_)

    - #### countEntities

          public int countEntities(java.lang.Class par1Class)

    - #### addLoadedEntities

          public void addLoadedEntities(java.util.List par1List)

    - #### unloadEntities

          public void unloadEntities(java.util.List par1List)

    - #### canPlaceEntityOnSide

          public boolean canPlaceEntityOnSide(Block p_147472_1_,
                                     int p_147472_2_,
                                     int p_147472_3_,
                                     int p_147472_4_,
                                     boolean p_147472_5_,
                                     int p_147472_6_,
                                     Entity p_147472_7_,
                                     ItemStack p_147472_8_)

    - #### getPathEntityToEntity

          public PathEntity getPathEntityToEntity(Entity par1Entity,
                                         Entity par2Entity,
                                         float par3,
                                         boolean par4,
                                         boolean par5,
                                         boolean par6,
                                         boolean par7)

    - #### getEntityPathToXYZ

          public PathEntity getEntityPathToXYZ(Entity par1Entity,
                                      int par2,
                                      int par3,
                                      int par4,
                                      float par5,
                                      boolean par6,
                                      boolean par7,
                                      boolean par8,
                                      boolean par9)

    - #### isBlockProvidingPowerTo

          public int isBlockProvidingPowerTo(int par1,
                                    int par2,
                                    int par3,
                                    int par4)

      Specified by:
        `isBlockProvidingPowerTo` in interface `IBlockAccess`

    - #### getBlockPowerInput

          public int getBlockPowerInput(int par1,
                               int par2,
                               int par3)

    - #### getIndirectPowerOutput

          public boolean getIndirectPowerOutput(int par1,
                                       int par2,
                                       int par3,
                                       int par4)

    - #### getIndirectPowerLevelTo

          public int getIndirectPowerLevelTo(int par1,
                                    int par2,
                                    int par3,
                                    int par4)

    - #### isBlockIndirectlyGettingPowered

          public boolean isBlockIndirectlyGettingPowered(int par1,
                                                int par2,
                                                int par3)

    - #### getStrongestIndirectPower

          public int getStrongestIndirectPower(int par1,
                                      int par2,
                                      int par3)

    - #### getClosestPlayerToEntity

          public EntityPlayer getClosestPlayerToEntity(Entity par1Entity,
                                              double par2)

    - #### getClosestPlayer

          public EntityPlayer getClosestPlayer(double par1,
                                      double par3,
                                      double par5,
                                      double par7)

    - #### getClosestVulnerablePlayerToEntity

          public EntityPlayer getClosestVulnerablePlayerToEntity(Entity par1Entity,
                                                        double par2)

    - #### getClosestVulnerablePlayer

          public EntityPlayer getClosestVulnerablePlayer(double par1,
                                                double par3,
                                                double par5,
                                                double par7)

    - #### getPlayerEntityByName

          public EntityPlayer getPlayerEntityByName(java.lang.String par1Str)

    - #### sendQuittingDisconnectingPacket

          public void sendQuittingDisconnectingPacket()

    - #### checkSessionLock

          public void checkSessionLock()
                                throws MinecraftException

      Throws:
        `MinecraftException`

    - #### func_82738_a

          public void func_82738_a(long par1)

    - #### getSeed

          public long getSeed()

    - #### getTotalWorldTime

          public long getTotalWorldTime()

    - #### getWorldTime

          public long getWorldTime()

    - #### setWorldTime

          public void setWorldTime(long par1)

    - #### getSpawnPoint

          public ChunkCoordinates getSpawnPoint()

    - #### setSpawnLocation

          public void setSpawnLocation(int par1,
                              int par2,
                              int par3)

    - #### joinEntityInSurroundings

          public void joinEntityInSurroundings(Entity par1Entity)

    - #### canMineBlock

          public boolean canMineBlock(EntityPlayer par1EntityPlayer,
                             int par2,
                             int par3,
                             int par4)

    - #### canMineBlockBody

          public boolean canMineBlockBody(EntityPlayer par1EntityPlayer,
                                 int par2,
                                 int par3,
                                 int par4)

    - #### setEntityState

          public void setEntityState(Entity par1Entity,
                            byte par2)

    - #### getChunkProvider

          public IChunkProvider getChunkProvider()

    - #### addBlockEvent

          public void addBlockEvent(int p_147452_1_,
                           int p_147452_2_,
                           int p_147452_3_,
                           Block p_147452_4_,
                           int p_147452_5_,
                           int p_147452_6_)

    - #### getSaveHandler

          public ISaveHandler getSaveHandler()

    - #### getWorldInfo

          public WorldInfo getWorldInfo()

    - #### getGameRules

          public GameRules getGameRules()

    - #### updateAllPlayersSleepingFlag

          public void updateAllPlayersSleepingFlag()

    - #### getWeightedThunderStrength

          public float getWeightedThunderStrength(float par1)

    - #### setThunderStrength

          public void setThunderStrength(float p_147442_1_)

    - #### getRainStrength

          public float getRainStrength(float par1)

    - #### setRainStrength

          public void setRainStrength(float par1)

    - #### isThundering

          public boolean isThundering()

    - #### isRaining

          public boolean isRaining()

    - #### canLightningStrikeAt

          public boolean canLightningStrikeAt(int par1,
                                     int par2,
                                     int par3)

    - #### isBlockHighHumidity

          public boolean isBlockHighHumidity(int par1,
                                    int par2,
                                    int par3)

    - #### setItemData

          public void setItemData(java.lang.String par1Str,
                         WorldSavedData par2WorldSavedData)

    - #### loadItemData

          public WorldSavedData loadItemData(java.lang.Class par1Class,
                                    java.lang.String par2Str)

    - #### getUniqueDataId

          public int getUniqueDataId(java.lang.String par1Str)

    - #### playBroadcastSound

          public void playBroadcastSound(int par1,
                                int par2,
                                int par3,
                                int par4,
                                int par5)

    - #### playAuxSFX

          public void playAuxSFX(int par1,
                        int par2,
                        int par3,
                        int par4,
                        int par5)

    - #### playAuxSFXAtEntity

          public void playAuxSFXAtEntity(EntityPlayer par1EntityPlayer,
                                int par2,
                                int par3,
                                int par4,
                                int par5,
                                int par6)

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `IBlockAccess`

    - #### getActualHeight

          public int getActualHeight()

    - #### setRandomSeed

          public java.util.Random setRandomSeed(int par1,
                                       int par2,
                                       int par3)

    - #### findClosestStructure

          public ChunkPosition findClosestStructure(java.lang.String p_147440_1_,
                                           int p_147440_2_,
                                           int p_147440_3_,
                                           int p_147440_4_)

    - #### extendedLevelsInChunkCache

          public boolean extendedLevelsInChunkCache()

      Specified by:
        `extendedLevelsInChunkCache` in interface `IBlockAccess`

    - #### getHorizon

          public double getHorizon()

    - #### addWorldInfoToCrashReport

          public CrashReportCategory addWorldInfoToCrashReport(CrashReport par1CrashReport)

    - #### destroyBlockInWorldPartially

          public void destroyBlockInWorldPartially(int p_147443_1_,
                                          int p_147443_2_,
                                          int p_147443_3_,
                                          int p_147443_4_,
                                          int p_147443_5_)

    - #### getWorldVec3Pool

          @Deprecated
          public Vec3Pool getWorldVec3Pool()

      Deprecated.
      Specified by:
        `getWorldVec3Pool` in interface `IBlockAccess`

    - #### getCurrentDate

          public java.util.Calendar getCurrentDate()

    - #### makeFireworks

          public void makeFireworks(double par1,
                           double par3,
                           double par5,
                           double par7,
                           double par9,
                           double par11,
                           NBTTagCompound par13NBTTagCompound)

    - #### getScoreboard

          public Scoreboard getScoreboard()

    - #### func_147453_f

          public void func_147453_f(int p_147453_1_,
                           int p_147453_2_,
                           int p_147453_3_,
                           Block p_147453_4_)

    - #### func_147462_b

          public float func_147462_b(double p_147462_1_,
                            double p_147462_3_,
                            double p_147462_5_)

    - #### func_147473_B

          public float func_147473_B(int p_147473_1_,
                            int p_147473_2_,
                            int p_147473_3_)

    - #### func_147450_X

          public void func_147450_X()

    - #### addTileEntity

          public void addTileEntity(TileEntity entity)

      Adds a single TileEntity to the world.
      Parameters:
        `entity` - The TileEntity to be added.

    - #### isSideSolid

          public boolean isSideSolid(int x,
                            int y,
                            int z,
                            ForgeDirection side)

      Determine if the given block is considered solid on the specified side. Used by placement logic.
      Parameters:
        `x` - Block X Position
        `y` - Block Y Position
        `z` - Block Z Position
        `side` - The Side in question
      Returns:
        True if the side is solid

    - #### isSideSolid

          public boolean isSideSolid(int x,
                            int y,
                            int z,
                            ForgeDirection side,
                            boolean _default)

      Determine if the given block is considered solid on the specified side. Used by placement logic.
      Specified by:
        `isSideSolid` in interface `IBlockAccess`
      Parameters:
        `x` - Block X Position
        `y` - Block Y Position
        `z` - Block Z Position
        `side` - The Side in question
        `_default` - The default to return if the block doesn't exist.
      Returns:
        True if the side is solid

    - #### getPersistentChunks

          public com.google.common.collect.ImmutableSetMultimap<ChunkCoordIntPair,ForgeChunkManager.Ticket> getPersistentChunks()

      Get the persistent chunks for this world
      Returns:

    - #### getBlockLightOpacity

          public int getBlockLightOpacity(int x,
                                 int y,
                                 int z)

      Readded as it was removed, very useful helper function
      Parameters:
        `x` - X position
        `y` - Y Position
        `z` - Z Position
      Returns:
        The blocks light opacity

    - #### countEntities

          public int countEntities(EnumCreatureType type,
                          boolean forSpawnCount)

      Returns a count of entities that classify themselves as the specified creature type.